local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local TECH = GLOBAL.TECH

PrefabFiles = {
	"rr",
       
        "xx",
       
 "cc", "fs", "mm"


}

Assets = {

Asset( "SOUNDPACKAGE" , "sound/3.fev" ),
	Asset( "SOUND" , "sound/3.fsb" ),

Asset("SOUNDPACKAGE", "sound/rr.fev"),
    Asset("SOUND", "sound/rr.fsb"),

    Asset( "IMAGE", "images/saveslot_portraits/rr.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/rr.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rr.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rr.xml" ),

    Asset( "IMAGE", "bigportraits/rr.tex" ),
    Asset( "ATLAS", "bigportraits/rr.xml" ),
    
    Asset( "IMAGE", "images/map_icons/rr.tex" ),
    Asset( "ATLAS", "images/map_icons/rr.xml" ),
    	
 Asset("IMAGE", "images/inventoryimages/fs.tex"),
    Asset("ATLAS", "images/inventoryimages/fs.xml"),

   
    Asset("IMAGE", "images/inventoryimages/xx.tex"),
    Asset("ATLAS", "images/inventoryimages/xx.xml"),

  

    Asset("IMAGE", "images/inventoryimages/cc.tex"),
    Asset("ATLAS", "images/inventoryimages/cc.xml"),

 


}





GLOBAL.STRINGS.NAMES.XX = "Machete with blood "
GLOBAL.STRINGS.RECIPE_DESC.XX = "All blood "
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.XX = {"I like this smell" }

GLOBAL.STRINGS.RECIPE_DESC.FS = "Inhibiting the disease"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FS = {"I do not like it" }
GLOBAL.STRINGS.NAMES.FS = "Medicine"

STRINGS.NAMES.CC = "Machete"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CC = "A sharp machete "
GLOBAL.STRINGS.RECIPE_DESC.CC = "A sharp machete"

STRINGS.NAMES.MM = "Reina's hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MM = "Cute! "
STRINGS.RECIPE_DESC.MM = "Maybe useful?"


GLOBAL.STRINGS.CHARACTER_TITLES.rr = "Reina"
GLOBAL.STRINGS.CHARACTER_NAMES.rr = "Reina"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.rr = "*Have a machete \n*Got a strange disease\n*Dangerous at the full moon"
GLOBAL.STRINGS.CHARACTER_QUOTES.rr = "\"So cute.I want to take home\""
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "rr")
function AddMap(inst)
    local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( inst.prefab .. ".tex" )
end

AddPrefabPostInit("xx", AddMap)
AddMinimapAtlas("images/inventoryimages/xx.xml")




AddMinimapAtlas("images/map_icons/rr.xml")
AddModCharacter("rr")

RemapSoundEvent( "dontstarve/characters/rr/death_voice", "rr/rr/death_voice" )
RemapSoundEvent( "dontstarve/characters/rr/hurt", "rr/rr/hurt" )
RemapSoundEvent( "dontstarve/characters/rr/talk_LP", "rr/rr/talk_LP" )