local assets = 
{
	Asset("ANIM", "anim/mm.zip"),
	Asset("ANIM", "anim/mm_swap.zip"), 

	Asset("ATLAS", "images/inventoryimages/mm.xml"),
	Asset("IMAGE", "images/inventoryimages/mm.tex"),
}

local prefabs = 
{
}


local function generic_perish(inst)
		inst:Remove()
		end

local function OnEquip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_hat", "mm_swap", "swap_hat")
    owner.AnimState:Show("HAT")
	owner.AnimState:Hide("HAIR")
if inst.components.fueled then
			inst.components.fueled:StartConsuming()        
		
    end

inst.components.equippable.dapperness = TUNING.DAPPERNESS_SMALL
  
end

local function OnUnequip(inst, owner) 
    owner.AnimState:Hide("HAT")
    owner.AnimState:Show("HAIR")
if inst.components.fueled then
			inst.components.fueled:StopConsuming()        
		end


end

local function fn()
    local inst = CreateEntity()
    
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
	
   

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("chopperhat")
    inst.AnimState:SetBuild("mm")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("hat")

 
   inst:AddComponent("fueled")
		inst.components.fueled.fueltype = "USAGE"
		inst.components.fueled:InitializeFuelLevel(TUNING.TOPHAT_PERISHTIME)
		inst.components.fueled:SetDepletedFn(generic_perish)
    
    
    inst:AddComponent("waterproofer")
    inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)

inst:AddComponent("insulator")
		inst.components.insulator:SetInsulation(TUNING.INSULATION_SMALL)

inst:AddComponent("waterproofer")
		inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALLMED)

    inst:AddComponent("inspectable")

 

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "mm"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/mm.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
   
	

   

    return inst
end

return Prefab("common/inventory/mm", fn, assets, prefabs)
