local assets=
{
    Asset("ANIM", "anim/xx.zip"),
    Asset("ANIM", "anim/swap_xx.zip"),
  
    Asset("ATLAS", "images/inventoryimages/xx.xml"), 
    Asset("IMAGE", "images/inventoryimages/xx.tex"),
}

    local function onequip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_xx", "swap_handfan")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function onunequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end



local function fn()
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
inst.Transform:SetScale(1.3,1.3,1.3)

    inst.AnimState:SetBank("handfan")
    inst.AnimState:SetBuild("xx")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
  inst:AddTag("shadow")
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/xx.xml"


    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )

  inst.components.equippable.dapperness = TUNING.CRAZINESS_SMALL
    
   local function onattack(inst, attacker, target)
        
        if math.random() < 0.1 then
      target.components.health:DoDelta(-25)
 
  

        end

if attacker then
		SpawnPrefab("statue_transition").Transform:SetPosition(inst:GetPosition():Get())
	end
    end

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(50)
    inst:ListenForEvent("onattacker",onattack)
    inst.components.weapon.onattack = onattack
     inst:AddTag("sharp")

	
	



	return inst
end
	

return Prefab( "common/inventory/xx", fn, assets) 
