local assets=
{
    Asset("ANIM", "anim/cc.zip"),
    Asset("ANIM", "anim/swap_cc.zip"),
  
    Asset("ATLAS", "images/inventoryimages/cc.xml"), 
    Asset("IMAGE", "images/inventoryimages/cc.tex"),
}

    local function onequip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_cc", "swap_handfan")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 
    end

    local function onunequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end


local function fn()
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
inst.Transform:SetScale(1.3,1.3,1.3)

    inst.AnimState:SetBank("handfan")
    inst.AnimState:SetBuild("cc")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
  
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/cc.xml"


    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )




 inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP)
   
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(33)
  
     inst:AddTag("sharp")

 
	
	
    
	return inst
end
	

return Prefab( "common/inventory/cc", fn, assets) 
